DISK_SRESET(1)

NAME
disk_sreset - Temporarily reset the size of an ATA disk - LINUX ONLY

SYNOPSIS
disk_sreset [-V] hd_device

DESCRIPTION
disk_sreset works in only Linux and uses ATA commands to query a harddisk. If there is a Host Protected Area, then it temporarily removes it so that the full disk can be acquired. When the disk is powered off or reset, then the HPA will exist again.

ARGUMENTS

-V  Display version

hd_device
    The device corresponding to the hard disk. Typically it is /dev/hdX.

EXAMPLES
disk_sreset /dev/hdd

HISTORY
disk_sreset first appeared in The Sleuth Kit v2.00. It is based on code from http://www.win.tue.nl/~aeb/linux/setmax.c

LIMITATIONS
disk_sreset works only in Linux and does not support large disks. It will also not work on ATA disks connected with USB or Firewire.

AUTHOR
Brian Carrier <carrier at sleuthkit dot org> Send documentation updates to <doc-updates at sleuthkit dot org>